﻿@model Bll.Models.UserWithSummary
@using Pl.Helper.HtmlExtensions

@{ 
    Layout = null;
}

<!DOCTYPE html>
<html>
<head>
    <title>@Model.UserModel.Surname</title>
    <meta charset="utf-8">
    <link href="~/Content/bootstrap.css" rel="stylesheet" type="text/css" />
    <link href="~/Content/Site.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <section class="rounded-2 shadow bg-light-lavender mb-4 w-100 h-fit-cont">
        <div class="container py-3">
            <div class="row">
                <div class="col-lg-4">
                    <div class="card mb-4">
                        <div class="card-body text-center">
                            <div class="profile-image">
                                @if (!string.IsNullOrWhiteSpace(Model.UserModel.ProfileImage))
                                {
                                    @Html.ConvertBase64ToImage(Model.UserModel.ProfileImage)
                                }
                                else
                                {
                                    <img src="~/Content/Images/NoProfilePhoto.png" class="profile-image">
                                }
                            </div>
                            <h5 class="my-3">@Model.UserModel.Name @Model.UserModel.Surname</h5>
                            <p class="text-muted mb-1">@Model.SummaryModel.Position</p>
                            <p class="text-muted mb-4">@Model.SummaryModel.CreationDate.ToString("dddd, dd MMMM yyyy")</p>
                        </div>
                    </div>
                    <div class="card mb-4 mb-lg-0">
                        <div class="card-body p-1">
                            <h5 class="card-title text-center">Description</h5>
                            <p class="card-text">
                                @Html.SeparateString(Model.SummaryModel.Description)
                            </p>
                            </div>
                        </div>
                    </div>

                    <div class="col-lg-8">
                        <div class="card mb-4">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-sm-3">
                                        <p class="mb-0">Full Name</p>
                                    </div>
                                    <div class="col-sm-9">
                                        <p class="text-muted mb-0">@Model.UserModel.Name @Model.UserModel.Surname @Model.UserModel.Patronymic</p>
                                    </div>
                                </div>
                                <hr>
                                <div class="row">
                                    <div class="col-sm-3">
                                        <p class="mb-0">Email</p>
                                    </div>
                                    <div class="col-sm-9">
                                        <p class="text-muted mb-0">@Model.UserModel.Email</p>
                                    </div>
                                </div>
                                <hr>
                                <div class="row">
                                    <div class="col-sm-3">
                                        <p class="mb-0">Phone</p>
                                    </div>
                                    <div class="col-sm-9">
                                        <p class="text-muted mb-0">@Model.UserModel.PhoneNumber</p>
                                    </div>
                                </div>
                                <hr>
                                <div class="row">
                                    <div class="col-sm-3">
                                        <p class="mb-0">Age</p>
                                    </div>
                                    <div class="col-sm-9">
                                        <p class="text-muted mb-0">@Model.UserModel.Age</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="card mb-4 mb-md-0">
                                    @if (Model.SummaryModel.Educations.Any())
                                    {
                                        <div class="border border-1 accordion accordion-flush" id="edu-accordionFlushExample">
                                            @foreach (var item in Model.SummaryModel.Educations)
                                            {
                                                <div class="accordion-item bg-light-yellow">
                                                    <h2 class="accordion-header" id="edu-flush-heading-@item.Id">
                                                        <button class="accordion-button" type="button" data-bs-toggle="collapse" data-bs-target="#edu-flush-collapse-@item.Id" aria-expanded="false" aria-controls="#edu-flush-collapse-@item.Id">
                                                            @item.EducationalInstitution
                                                        </button>
                                                    </h2>
                                                    <div id="edu-flush-collapse-@item.Id" class="accordion-collapse" aria-labelledby="edu-flush-heading-@item.Id" data-bs-parent="#edu-accordionFlushExample">
                                                        <div class="d-flex flex-column align-items-center accordion-body">
                                                            <div class="d-flex w-100 mb-3 flex-column">
                                                                <p class="mb-0">Department</p>
                                                                <p class="text-muted mb-0">@item.Department</p>
                                                                <hr>
                                                                <p class="mb-0">Education Level</p>
                                                                <p class="text-muted mb-0">@item.EducationLevel</p>
                                                                <hr>
                                                                <p class="mb-0">Years</p>
                                                                <p class="text-muted mb-0">@item.YearStart-@item.YearEnd</p>
                                                                <hr>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            }
                                        </div>
                                    }
                                    else
                                    {
                                        <div class="d-flex w-100 justify-content-center">
                                            <h2 class="d-flex">No Education</h2>
                                        </div>
                                    }
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="card mb-4 mb-md-0">
                                    @if (Model.SummaryModel.WorkExperiences.Any())
                                    {
                                        <div class="border border-1 accordion accordion-flush" id="wrk-accordionFlushExample">
                                            @foreach (var item in Model.SummaryModel.WorkExperiences)
                                            {
                                                <div class="accordion-item bg-light-cyan">
                                                    <h2 class="accordion-header" id="wrk-flush-heading-@item.Id">
                                                        <button class="accordion-button" type="button" data-bs-toggle="collapse" data-bs-target="#wrk-flush-collapse-@item.Id" aria-expanded="false" aria-controls="#wrk-flush-collapse-@item.Id">
                                                            @item.CompanyName
                                                        </button>
                                                    </h2>
                                                    <div id="wrk-flush-collapse-@item.Id" class="accordion-collapse" aria-labelledby="wrk-flush-heading-@item.Id" data-bs-parent="#wrk-accordionFlushExample">
                                                        <div class="d-flex flex-column align-items-center accordion-body">
                                                            <div class="d-flex w-100 mb-3 flex-column">
                                                                <p class="mb-0">Position</p>
                                                                <p class="text-muted mb-0">@item.Position</p>
                                                                <hr>
                                                                <p class="mb-0">Start Date</p>
                                                                <p class="text-muted mb-0">@item.StartDate.ToString("yyyy MMMM")</p>
                                                                <hr>
                                                                <p class="mb-0">Finish Date</p>
                                                                @if (item.FinishDate.HasValue)
                                                                {
                                                                    <p class="text-muted mb-0">@item.FinishDate.Value.ToString("yyyy MMMM")</p>
                                                                }
                                                                else
                                                                {
                                                                    <p class="text-muted mb-0">Unfinished</p>
                                                                }
                                                                <hr>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            }
                                        </div>
                                    }
                                    else
                                    {
                                        <div class="d-flex w-100 justify-content-center">
                                            <h2 class="d-flex">No Work Experience</h2>
                                        </div>
                                    }
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
</body>
</html>


